API ReferenceWebhook Endpoints
Put webhook endpoint configurationv3.1
Full replacement of webhook endpoint configuration. All required setup fields must be provided. Use PATCH to update individual fields.
x-api-key<token>
Project API key authentication
In: header
Path Parameters
nano_idstringRequired
Webhook endpoint nano ID (e.g., we_abc123)
Request Body
application/json
dataobjectRequired
Key-value pairs for ALL required setup_fields. Unlike PATCH, all required fields must be provided — this is initial configuration.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://backend.composio.dev/api/v3.1/webhook_endpoints/string" \ -H "Content-Type: application/json" \ -d '{ "data": { "property1": "string", "property2": "string" } }'{
"id": "string",
"toolkit_slug": "string",
"client_id": "string",
"webhook_url": "string",
"data": {
"property1": "string",
"property2": "string"
},
"created_at": "string"
}{
"error": {
"message": "string",
"code": 0,
"slug": "string",
"status": 0,
"request_id": "string",
"suggested_fix": "string",
"errors": [
"string"
]
}
}{
"error": {
"message": "string",
"code": 0,
"slug": "string",
"status": 0,
"request_id": "string",
"suggested_fix": "string",
"errors": [
"string"
]
}
}{
"error": {
"message": "string",
"code": 0,
"slug": "string",
"status": 0,
"request_id": "string",
"suggested_fix": "string",
"errors": [
"string"
]
}
}{
"error": {
"message": "string",
"code": 0,
"slug": "string",
"status": 0,
"request_id": "string",
"suggested_fix": "string",
"errors": [
"string"
]
}
}